> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Log

> Retrieve comprehensive transaction history including order fills, deposits, withdrawals, funding fees, and insurance fund reimbursements with pagination support.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/accounts/transaction-log
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/accounts/transaction-log:
    get:
      tags:
        - Accounts
      summary: Transaction Log
      description: >-
        Retrieve comprehensive transaction history including order fills,
        deposits, withdrawals, funding fees, and insurance fund reimbursements
        with pagination support.
      operationId: get_v1-accounts-transaction-log-c6fbd6cd5fbb4bc2ab5b40399a847545
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: from
          in: query
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            format: uint32
            minimum: 0
            nullable: true
        - name: to
          in: query
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_GetTransactionLogResponse'
      deprecated: false
components:
  schemas:
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_GetTransactionLogResponse:
      title: ApiResponse_for_GetTransactionLogResponse
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/GetTransactionLogResponse'
        error:
          type: boolean
    GetTransactionLogResponse:
      type: object
      required:
        - logs
      properties:
        cursor:
          type: string
          nullable: true
        logs:
          type: array
          items:
            $ref: '#/components/schemas/TransactionLog'
    TransactionLog:
      type: object
      required:
        - amount
        - balanceAfter
        - balanceBefore
        - createdAt
        - fee
        - pnl
        - side
        - symbol
        - time
        - totalValue
        - transactionType
        - txId
      properties:
        amount:
          type: string
        balanceAfter:
          type: string
        balanceBefore:
          type: string
        createdAt:
          type: integer
          format: int64
        fee:
          type: string
        fillPrice:
          type: string
          nullable: true
        fundingRate:
          type: string
          nullable: true
        isTaker:
          type: boolean
          nullable: true
        orderId:
          type: string
          nullable: true
        pnl:
          type: string
        positionAfter:
          type: string
          nullable: true
        positionBefore:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        side:
          type: string
        symbol:
          type: string
        time:
          type: integer
          format: int64
        totalValue:
          type: string
        tradeId:
          type: string
          nullable: true
        transactionTrigger:
          allOf:
            - $ref: '#/components/schemas/TransactionTrigger'
          nullable: true
        transactionType:
          $ref: '#/components/schemas/TransactionType'
        txId:
          type: string
    TransactionTrigger:
      oneOf:
        - title: OrderFill
          type: object
          required:
            - OrderFill
          properties:
            OrderFill:
              $ref: '#/components/schemas/OrderFill'
          additionalProperties: false
        - title: FundingFee
          type: object
          required:
            - FundingFee
          properties:
            FundingFee:
              $ref: '#/components/schemas/FundingFeeMovement'
          additionalProperties: false
    TransactionType:
      type: string
      enum:
        - orderFill
        - deposit
        - withdraw
        - fundingFee
        - insuranceFundReimbursement
    OrderFill:
      type: object
      required:
        - baseAmount
        - createdAt
        - fee
        - feeAmount
        - id
        - instrumentId
        - isTaker
        - orderId
        - quoteAmount
        - side
        - tradeId
      properties:
        baseAmount:
          type: string
        createdAt:
          type: integer
          format: int64
        fee:
          type: string
        feeAmount:
          type: string
        id:
          type: string
          format: uuid
        instrumentId:
          type: string
          format: uuid
        isTaker:
          type: boolean
        orderId:
          type: string
          format: uuid
        quoteAmount:
          type: string
        side:
          $ref: '#/components/schemas/OrderSide'
        tradeId:
          type: string
          format: uuid
    FundingFeeMovement:
      type: object
      required:
        - accountId
        - createdAt
        - fundingFeeRunId
        - fundingRate
        - id
        - isDebit
        - isLong
        - movementAmount
        - positionAmount
        - positionId
        - status
        - updatedAt
      properties:
        accountId:
          type: string
          format: uuid
        createdAt:
          type: integer
          format: int64
        fundingFeeRunId:
          type: string
          format: uuid
        fundingRate:
          type: string
        id:
          type: string
          format: uuid
        isDebit:
          type: boolean
        isLong:
          type: boolean
        movementAmount:
          type: string
        positionAmount:
          type: string
        positionId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/FundingFeeMovementStatus'
        updatedAt:
          type: integer
          format: int64
    OrderSide:
      type: string
      enum:
        - buy
        - sell
    FundingFeeMovementStatus:
      type: string
      enum:
        - pending
        - processing
        - failed
        - succeed
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````